=== unittest/CMakeLists.txt ===
ENABLE_TESTING()
# QTEST_MAIN is using QApplication when QT_GUI_LIB is defined
remove_definitions(-DQT_GUI_LIB)
if(Qt5Core_FOUND)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")
  find_package(Qt5Transitional REQUIRED Test)
endif(Qt5Core_FOUND)

add_subdirectory(base64unittest)
add_subdirectory(bigintunittest)
add_subdirectory(certunittest)
add_subdirectory(cipherunittest)
add_subdirectory(clientplugin)
add_subdirectory(cms)
add_subdirectory(dsaunittest)
add_subdirectory(filewatchunittest)
add_subdirectory(hashunittest)
add_subdirectory(hexunittest)
add_subdirectory(kdfunittest)
add_subdirectory(keybundle)
add_subdirectory(keygenunittest)
add_subdirectory(keylengthunittest)
add_subdirectory(keystore)
add_subdirectory(macunittest)
add_subdirectory(metatype)
add_subdirectory(pgpunittest)
add_subdirectory(pipeunittest)
add_subdirectory(pkits)
add_subdirectory(rsaunittest)
add_subdirectory(securearrayunittest)
add_subdirectory(staticunittest)
add_subdirectory(symmetrickeyunittest)
add_subdirectory(tls)
add_subdirectory(velox)
