## qca-qt5 2.1.0.3

=== debian/changelog ===
qca-qt5 (2.1.0.3-0ubuntu2) vivid; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 18:46:17 +0100

qca-qt5 (2.1.0.3-0ubuntu1) vivid; urgency=medium

  * Initial package of qt5 qca
    + Introduces qt5 build.
      - All packages have a qt5 version.
      - The qt5 build uses a differnet suffix to lead to a different
        soname
      - Since the qt5 artifacts partially conflict with the qt4 bits
        additional measures were taken to make sure dh_install and dh_strip
        work on the resepectively correct package set

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 16:04:49 +0100

qca2 (2.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
    + This release merges the official plugins into the main package.
    + Deprecating these sources and their binaries:
      - qca2-plugin-gnupg
      - qca2-plugin-ossl
      - qca-cyrus-sasl
    + Build system was changed to git
    + Docs packages was removed as the source does not build documentation
    + Introduces qt5 build.
      - All packages have a qt5 version.
      - The qt5 build uses a differnet suffix to lead to a different
        soname
      - Since the qt5 artifacts partially conflict with the qt4 bits
        additional measures were taken to make sure dh_install and dh_strip
        work on the resepectively correct package set
    + New binary packages (excluding qt5):
      - libqca2-plugins containing all plugins
      - libqca2-plugin-ossl
      - libqca2-plugin-gnupg
      - libqca2-plugin-cyrus-sasl
    + Added transitional packages for old plugins
  * Add kubuntu_ignore_filewatch_test.diff to ignore a test which fails in
    buildds but not for local build
  * Add kubuntu_mkspecs-dir.diff to install mkspecs to correct place

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 22 Nov 2014 15:46:56 +0100

qca2 (2.0.3-6) unstable; urgency=medium

  * Update the symbols file for gcc 4.9. Thanks to Sphinx Jiang for the
    initial patch. (Closes: #746895)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 11 Jun 2014 16:54:40 +0200

qca2 (2.0.3-5) unstable; urgency=low

  * Team upload.
  * Change the section of qca2-utils from libs to utils.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2013 22:54:54 +0100

qca2 (2.0.3-4) unstable; urgency=low

  * Team upload.
  * Fix the symbols file.
  * Add pipeunittest_more_wait.diff to increase times of qWait() in the
    pipeunittest test (helps with Hurd).
  * Add patch hurd_msync.diff to temporarly ignore ENOSYS errors for Hurd's
    msync().

 -- Pino Toscano <pino@debian.org>  Mon, 04 Jun 2012 11:49:16 +0200

qca2 (2.0.3-3) unstable; urgency=low

  [ Felix Geyer ]
  * Modify CFLAGS and CXXFLAGS after including debian-qt-kde.mk so the
    changes are not overwritten.
  * Pass $CPPFLAGS to the build system.
  * Update symbols file.
  * Fix FTBFS with gcc 4.7. (Closes: #667339)
    - Add fix_build_gcc4.7.diff, cherry-picked from upstream.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Convert to multiarch.
    - Bump debhelper compat level to v9.
    - Move qcatool2 into the new binary package qca2-utils.
    - Mark libqca2 and libqca2-dbg as Multi-Arch: same.
  * Fix passing $LDFLAGS to the build system.
  * Pass build flags to qcatool2.
  * Remove confapp.pri in clean target.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 May 2012 18:30:41 +0200

qca2 (2.0.3-2) unstable; urgency=low

  [ Felix Geyer ]
  * Add Vcs-* fields.
  * Fix versioned dependency on arch-any package.

  [ Modestas Vainius ]
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 11:30:07 +0300

qca2 (2.0.3-1) unstable; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Switch to source format 3.0 (quilt).
  * Switch debian/rules engine to dhmk.
  * Pass --no-separate-debug-info to configure and let dh_strip handle
    the debug symbol seperation.
  * Switch to debhelper compat level 7.
  * Simplify install files.
  * Don't install the TODO file.
  * Bump Standards-Version to 3.9.2.
    - Drop ancient Conflicts.
  * libqca2: don't suggest libqca2-plugin-pkcs11 as it doesn't exist.
  * Add myself as uploader.
  * Fix short description of libqca2-dbg.
  * Add missing ${misc:Depends}.
  * libqca2-dbg: recommend libqt4-dbg.
  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
    - Add define_qca_export.diff to define QCA_EXPORT as Q_DECL_EXPORT.
  * Disable broken unit test that fails if two subsequent random numbers are
    the same.
    - Add disable_randomunittest.diff
  * Add a symbols file.

  [ Modestas Vainius ]
  * Remove Matthew Rosewarne from Uploaders, R.I.P.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 30 May 2011 00:33:07 +0300

qca2 (2.0.2-1) unstable; urgency=low

  * New Upstream Version (Closes: Bug#529532)
  * Remove out-of-date VCS fields from debian/control
  * Move -dbg package to section 'debug'

 -- Jan Niehusmann <jan@debian.org>  Sat, 23 May 2009 16:20:39 +0200

qca2 (2.0.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:
 
  * Build against Qt 4.4 in experimental. 

  +++ Changes by Matthew Rosewarne:

  * Create debug package.
  * Improve clean rule for apidocs.
  * Have libqca2 recommend ca-certificates.
  * Add VCS fields to control.
  * Bump Standards-Version to 3.8.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 21 Jul 2008 18:28:31 -0400

qca2 (2.0.0-4) unstable; urgency=low

  +++ Changes by Matthew Rosewarne:

  * Switch rules to CDBS.
  * Create API documentation package.
  * Install qmake data files in libqca2-dev.
  * Bump compat to 6.
  * Bump Standards-Version to 3.7.3.
  * Tweak package descriptions.
  * Add Homepage: to control.
  * Suggest qca2 plugins.
  * Add watch file.


