## qca-qt5 2.1.1

=== debian/changelog ===
qca-qt5 (2.1.1-0ubuntu2) xenial; urgency=medium

  * Update s390x symbols.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Jan 2016 10:55:36 +0000

qca-qt5 (2.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream release, fixes build with Qt 5.5.
  * Drop use_q_slots-q_signals_instead_of_slots-signals.diff, in upstream
  * Pick fix_build_without_sslv3.diff from Debian
  * debian/patches/disable_sslv3_tests.patch: Do not check for SSLv3.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 08 Dec 2015 06:13:31 +0000

qca-qt5 (2.1.0.3-0ubuntu4) wily; urgency=medium

  * update symbols for gcc 5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Oct 2015 15:46:56 +0100

qca-qt5 (2.1.0.3-0ubuntu3) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Bump build depend on pkg-kde-tools to (>> 0.15.15) so we make sure we are
    building against a pkg-kde-tools which provides the kde frameworks
    module.

  [ Clive Johnston ]
  * Adding patch to use Q_SLOTS/Q_SIGNALS instead of slots/signals in all 
    headers from include dir 

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 11 Feb 2015 17:51:58 +0100
