=== debian/control ===
--- 
+++ 
@@ -2,11 +2,18 @@
 Priority: optional
 Section: libs
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Jan Niehusmann <jan@debian.org>, Felix Geyer <fgeyer@debian.org>,
- Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.12), cmake, pkg-config,
- ca-certificates, libsasl2-dev, libssl-dev, doxygen,
- qtbase5-dev
+Uploaders: Jan Niehusmann <jan@debian.org>,
+           Felix Geyer <fgeyer@debian.org>,
+           Modestas Vainius <modax@debian.org>
+Build-Depends: ca-certificates,
+               cmake,
+               debhelper (>= 9),
+               doxygen,
+               libsasl2-dev,
+               libssl-dev,
+               pkg-config,
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev
 Build-Conflicts: qca-dev
 Standards-Version: 3.9.6
 Homepage: http://delta.affinix.com/qca/
@@ -16,7 +23,7 @@
 Package: libqca-qt5-2-plugins
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QCA plugins for libqca2
  This plugin provides cryptographic as well as helper plugins for Qt
  Cryptographic Architecture (QCA).
@@ -25,7 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ca-certificates, libqca-qt5-2-plugins
 Description: libraries for the Qt Cryptographic Architecture
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
@@ -35,7 +42,7 @@
 Package: qca-qt5-2-utils
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqca-qt5-2 (= ${binary:Version})
+Depends: libqca-qt5-2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: command line tool for the Qt Cryptographic Architecture
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
  platform API for a range of cryptographic features, including SSL/TLS,
@@ -48,7 +55,7 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libqca-qt5-2 (= ${binary:Version})
+Depends: libqca-qt5-2 (= ${binary:Version}), ${misc:Depends}
 Priority: extra
 Description: debug symbols for the Qt Cryptographic Architecture
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
@@ -61,7 +68,7 @@
 Package: libqca-qt5-2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libqca-qt5-2 (= ${binary:Version}), qtbase5-dev
+Depends: libqca-qt5-2 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Description: development files for the Qt Cryptographic Architecture
  The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
  platform API for a range of cryptographic features, including SSL/TLS,
