=== debian/watch ===
version=3
http://download.kde.org/unstable/qca-qt5/([\d\.]+)/qca-qt5-(.*)\.tar\.xz

http://download.kde.org/stable/qca-qt5/([\d\.]+)/qca-qt5-(.*)\.tar\.xz
